﻿#language: ru

Функционал: 02_milk_production. Заполнение констант

Сценарий: 02_milk_production. Заполнение констант
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Производство' 'Настройки параметров учета'
	Тогда открылось окно 'Параметры производства'
	И я нажимаю кнопку выбора у поля "Основной график работы предприятия"
	Тогда открылось окно 'Графики работы'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я устанавливаю флаг 'Контролировать остатки по производственным заданиям'
	И я устанавливаю флаг 'Использовать штрих-коды складов для подтверждения перемещений'
	И я устанавливаю флаг 'Отключить использование стандартной формы ресурсных спецификаций'
	И в поле 'Префикс штрихкодов узла РИБ' я ввожу текст '2'
	И я нажимаю кнопку выбора у поля 'Склад пересчета'
	Тогда открылось окно 'Склады'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'		  |
		|'milk_prod_Склад ГП' |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Единица измерения веса"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Параметры производства *'
	И я перехожу к закладке "Баланс жира и белка"
	И я нажимаю кнопку выбора у поля "Белкокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование' |
		| 'бкг'    		 |
		И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
		Тогда открылось окно 'Единица измерения (создание)'
		И в поле 'Наименование' я ввожу текст 'бкг'
		И в поле 'Полное наименование' я ввожу текст 'бкг'
		И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
		И в поле 'Кратность' я ввожу текст '1,000'
		И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
		Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'бкг' 		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И я нажимаю кнопку выбора у поля "Жирокилограммы"
	Тогда открылось окно 'Выберите единицу измерения'
	Если в таблице "Список" нет строк Тогда
		| 'Наименование' |
		| 'жкг'    		 |
		И я выбираю пункт контекстного меню "Создать" на элементе формы с именем "Список"
		Тогда открылось окно 'Единица измерения (создание)'
		И в поле 'Наименование' я ввожу текст 'жкг'
		И в поле 'Полное наименование' я ввожу текст 'жкг'
		И из выпадающего списка "Тип измеряемой величины" я выбираю точное значение 'Вес'
		И в поле 'Кратность' я ввожу текст '1,000'
		И в поле 'КоличествоВБазовойЕдиницеИзмерения' я ввожу текст '1,000'
		И я нажимаю на кнопку 'Записать и закрыть'
		И я жду закрытия окна 'Единица измерения (создание)' в течение 20 секунд
		Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
			| 'Наименование' |
			| 'жкг' 		 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Параметры производства *'
	И в поле 'Белок' я ввожу текст '0,6'
	И в поле 'Базисный белок, %' я ввожу текст '3,00'
	И в поле 'Базисный жир, %' я ввожу текст '3,40'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Параметры производства *' в течение 20 секунд
	И я закрываю сеанс TESTCLIENT